Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class EJBEntityDefImpl

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject
            |
            +--oracle.jbo.server.NamedObjectImpl
                  |
                  +--oracle.jbo.server.DefObject
                        |
                        +--oracle.jbo.server.RowDef
                              |
                              +--oracle.jbo.server.ViewDefImpl
                                    |
                                    +--oracle.jbo.server.EJBEntityDefImpl

public class EJBEntityDefImpl
extends oracle.jbo.server.ViewDefImpl

Field Summary
`protected java.lang.Class` | `mBeanClass`

Fields inherited from class oracle.jbo.server.ViewDefImpl
`XML_FETCH_ALL, XML_FETCH_AS_NEEDED`

Fields inherited from class oracle.jbo.server.DefObject
`mCompUsageList, mCompUsages`

Fields inherited from class oracle.jbo.server.NamedObjectImpl
`mFullName, mName, mParent, mProperties`

Fields inherited from class oracle.jbo.common.BaseObject
`TRACE_EVERY_ALLOC, TRACE_NONE, TRACE_OCCASIONAL, TRACE_UNINITIALIZED`

Constructor Summary
`EJBEntityDefImpl()`

Method Summary
`oracle.aurora.ejb.persistence.BeanIdentifier` | `createBean(javax.ejb.EntityBean bean, java.lang.Object pk)`
`javax.ejb.EntityBean` | `createBeanInstance()`
`java.util.Enumeration` | `executeFinder(java.lang.String finderName, java.lang.Object[] args)`
`oracle.aurora.ejb.persistence.BeanIdentifier` | `findByPrimaryKey(java.lang.Object pk)`
`static EJBEntityDefImpl` | `findEJBEntityDef(java.lang.String defName)`
`javax.ejb.EntityBean` | `getBean(oracle.aurora.ejb.persistence.BeanIdentifier pk, javax.ejb.EntityContext ctx)`
`void` | `loadBean(java.lang.Object bean, EJBEntityImpl beanStore)`
`protected void` | `loadCustomDef(oracle.jbo.server.xml.JboElementImpl xmlElement)`
`void` | `removeBean(oracle.aurora.ejb.persistence.BeanIdentifier pKey)`
`void` | `setEjbMetaData(javax.ejb.EJBMetaData meta)`
`void` | `storeBean(java.lang.Object bean, EJBEntityImpl beanStore)`

Methods inherited from class oracle.jbo.server.ViewDefImpl
`findAttributeDef, getAliasName, getAttributeCount, getAttributeDef, getAttributeDefs, getRowClass`

Methods inherited from class oracle.jbo.server.DefObject
`getPackageDef, getPackageName, isObjectResolved`

Methods inherited from class oracle.jbo.server.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getProperty, refreshProperty, setFullName, setProperty`

Methods inherited from class oracle.jbo.common.BaseObject
`dumpState, setTraceLevel, setTraceWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mBeanClass

    protected java.lang.Class mBeanClass

Constructor Detail

### EJBEntityDefImpl

    public EJBEntityDefImpl()

Method Detail

### findEJBEntityDef

    public static EJBEntityDefImpl findEJBEntityDef(java.lang.String defName)

### setEjbMetaData

    public void setEjbMetaData(javax.ejb.EJBMetaData meta)

### loadBean

    public void loadBean(java.lang.Object bean,
                         EJBEntityImpl beanStore)

### storeBean

    public void storeBean(java.lang.Object bean,
                          EJBEntityImpl beanStore)

### loadCustomDef

    protected void loadCustomDef(oracle.jbo.server.xml.JboElementImpl xmlElement)
                          throws PersistenceException

  Overrides:
    loadCustomDef in class oracle.jbo.server.ViewDefImpl

### createBean

    public oracle.aurora.ejb.persistence.BeanIdentifier createBean(javax.ejb.EntityBean bean,
                                                                   java.lang.Object pk)
                                                            throws oracle.aurora.ejb.persistence.PmException

### removeBean

    public void removeBean(oracle.aurora.ejb.persistence.BeanIdentifier pKey)
                    throws oracle.aurora.ejb.persistence.PmException

### findByPrimaryKey

    public oracle.aurora.ejb.persistence.BeanIdentifier findByPrimaryKey(java.lang.Object pk)
                                                                  throws oracle.aurora.ejb.persistence.PmException

### executeFinder

    public java.util.Enumeration executeFinder(java.lang.String finderName,
                                               java.lang.Object[] args)

### getBean

    public javax.ejb.EntityBean getBean(oracle.aurora.ejb.persistence.BeanIdentifier pk,
                                        javax.ejb.EntityContext ctx)

### createBeanInstance

    public javax.ejb.EntityBean createBeanInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD